Description

Issues are sorted by ID in the Gantt chart.

It would be nice to be able to change and save the display order of the issues in Gantt.

Today, a workaround is to duplicate the current issue to make it the last one, but this is not convenient at all.

Related issues:

Related to Redmine - Defect #7335: Sorting issues in gantt by date, not by id Closed 2011-01-15

Related to Redmine - Feature #6417: Allow collapse/expand in gantt chart Closed 2010-09-16

Related to Redmine - Feature #14397: Gantt sorting as a configurable setting New

History

#1 - 2011-07-25 19:09 - Etienne Massip

- Category set to Gantt

#2 - 2012-11-01 05:12 - Matthew Houston

I would love this feature,  it would really improve the functionality of the Gantt charts.

#3 - 2013-01-24 13:58 - Daniel Felix

You mean something like a planning board?

#4 - 2013-01-24 21:28 - Matthew Houston

Very much so,  give the user the ability to create their own priority of tasks in the Gantt. This, along with collapsible parent tasks would be stellar, 

more for project managers or teamleaders etc that may have a lot of different tasks that are maybe not assigned to them,  but still need to be able to

see the big picture.

So I envision the following:

Collapsible parent tasks,  maintaining the timeline of the child tasks as is

Child tasks are still displayed under parent tasks - if a parent task is moved then the children are still under it

Child tasks can be moved within the parent task

It could possibly be taken one step further allowing tasks to be moved between parent tasks etc by using the Gantt chart as a sort of management

console but I dont think that functionality is as important as being able to move things around within the original constraints.

#5 - 2014-04-22 12:34 - Toshi MARUYAMA

- Related to Feature #6417: Allow collapse/expand in gantt chart added

#6 - 2014-04-22 12:34 - Toshi MARUYAMA

- Related to deleted (Feature #11636: tree structure of Gantt)

#7 - 2014-10-28 21:29 - James H

+1

Related to: #14397

#8 - 2014-11-27 05:03 - Toshi MARUYAMA

- Related to Feature #14397: Gantt sorting as a configurable setting added
